View Issue Details

IDProjectCategoryView StatusLast Update
0000391Twitter Delitter[All Projects] Backend / Corepublic2019-11-08 10:15
ReporterBootBlock Assigned ToBootBlock  
PriorityurgentSeveritymajorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version1.02 
Target Version1.3Fixed in Version 
Summary0000391: Support the new Twitter tweets format
Description

When Twitter changed their site design, they also changed from using Tweets.csv to using a JSON format. Because of this, Twitter Delitter can no longer import tweets.

Add support for importing the new format, ensuring the CSV import support remains; detect the format and run the appropriate import code.

TagsI/O

Relationships

related to 0000390 newBootBlock Import Tweets should be more helpful 
related to 0000395 resolvedBootBlock Add extended filtering support 

Activities

BootBlock

2019-10-31 10:56

administrator   ~0000119

Got the tweet data loaded in and parsed as a JSON object. Next up is actually extracting all of the relevant values - the most time-consuming bit by far.

There's tons of data in the new Twitter format; I wonder if it's worth showing some of that info within Twitter Delitter? No real use, though.

BootBlock

2019-10-31 13:49

administrator   ~0000120

Eight fields are now being imported from all tweets, so the implementation is working correctly. Next up is importing the rest of the data, including the new fields that the revised Twitter data archive now provides. There is a lot of information available, but I'm not really sure it's worth importing or providing a viewer for unless Twitter Delitter also becomes a true tweet archive viewer in additional to its original deletion purpose?

BootBlock

2019-11-01 09:08

administrator   ~0000121

All works!

It still needs to provide additional functionality on the new data that is available but importing now entirely works with the new Twitter format. Phew!

BootBlock

2019-11-04 09:29

administrator   ~0000122

Last edited: 2019-11-04 09:30

View 1 revisions

All of the existing filtering options now work.

Next up is adding additional options based on the newly available properties TD now has access to.

BootBlock

2019-11-04 10:04

administrator   ~0000123

A test build has been packaged up so a third party can test to see if everything works as it should.

BootBlock

2019-11-06 10:08

administrator   ~0000124

Seems to work, so that's good!

I'm going to open up a new task for adding support for the new fields and features afforded by the tweet.js file.

Issue History

Date Modified Username Field Change
2019-10-31 09:30 BootBlock New Issue
2019-10-31 09:30 BootBlock Assigned To => BootBlock
2019-10-31 09:30 BootBlock Tag Attached: I/O
2019-10-31 09:32 BootBlock Status new => confirmed
2019-10-31 09:39 BootBlock Relationship added related to 0000390
2019-10-31 10:56 BootBlock Note Added: 0000119
2019-10-31 13:49 BootBlock Note Added: 0000120
2019-11-01 09:08 BootBlock Note Added: 0000121
2019-11-04 09:29 BootBlock Note Added: 0000122
2019-11-04 09:30 BootBlock Note Edited: 0000122 View Revisions
2019-11-04 09:30 BootBlock Note Revision Dropped: 122: 0000195
2019-11-04 10:04 BootBlock Note Added: 0000123
2019-11-06 10:08 BootBlock Note Added: 0000124
2019-11-06 10:08 BootBlock Status confirmed => closed
2019-11-06 10:08 BootBlock Resolution open => fixed
2019-11-06 10:10 BootBlock Relationship added related to 0000395
2019-11-08 10:15 BootBlock Status closed => resolved